%define module pyasn1-modules
%define omodule pyasn1_modules

Summary:	Collection of protocols modules written in ASN.1 language
Name:		python-%{module}
Version:	0.2.2
Release:	1
Epoch:		1
License:	BSD
Group:		Development/Python
Url:		http://pyasn1.sf.net/
Source0:	http://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
Requires:	python-pyasn1
BuildArch:	noarch

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%files
%dir %{py_puresitedir}/%{omodule}/
%{py_puresitedir}/%{omodule}/*
%{py_puresitedir}/%{omodule}-*.egg-info

#----------------------------------------------------------------------------

%package -n python3-%{module}
Summary:	Collection of protocols modules written in ASN.1 language
Group:		Development/Python
BuildRequires:	python3-setuptools
BuildRequires:	pkgconfig(python3)
Requires:	python3-pyasn1

%description -n python3-%{module}
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%files -n python3-%{module}
%dir %{py3_puresitedir}/%{omodule}/
%{py3_puresitedir}/%{omodule}/*
%{py3_puresitedir}/%{omodule}-*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
export CFLAGS="%{optflags}"
python setup.py build

pushd %{py3dir}
python3 setup.py build
popd

%install
pushd %{py3dir}
python3 setup.py install --skip-build --root %{buildroot}
popd

python setup.py install --skip-build --root=%{buildroot}


%changelog

* Fri Aug 24 2018 Denis Silakov <dsilakov@virtuozzo.com> 1:0.2.2-1
- (9bef91b) Updated to 0.2.2


